Bug 1243 - wrong timezone in mails from bugzilla-daemon
: wrong timezone in mails from bugzilla-daemon
Status: RESOLVED FIXED
Product: Websites
Classification: ROSA Infrastructure
Component: Bugzilla
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-14 12:14 MSK by alexander barakin
Modified: 2015-04-02 22:31 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description alexander barakin 2012-12-14 12:14:52 MSK
just received an email with the header:
Date: Fri, 14 Dec 2012 10:57:24 +0300 (MSK)

as you see, timezone is wrong.


another (may be) important headers:
Received: from collab.rosalab.ru ([127.0.0.1])                                                                         
        by localhost (collab.rosalab.ru [127.0.0.1]) (amavisd-new, port 10024)                                         
        with ESMTP id la778zU9IT+L for <alexander.barakin@rosalab.ru>;                                                 
        Fri, 14 Dec 2012 11:57:23 +0400 (MSK)                                                                          
Received: from external.local (unknown [192.168.20.168])                                                               
        by collab.rosalab.ru (Postfix) with ESMTP id B0FED29C28D                                                       
        for <alexander.barakin@rosalab.ru>; Fri, 14 Dec 2012 11:57:23 +0400 (MSK)                                      
Received: from bugs.rosalinux.ru (localhost [127.0.0.1])                                                               
        by external.local (Postfix) with ESMTP id 8668818CA8E                                                          
        for <alexander.barakin@rosalab.ru>; Fri, 14 Dec 2012 11:57:23 +0400 (MSK)
From: bugzilla-daemon <bugzilla-daemon@rosalab.ru>
X-Bugzilla-Reason: CC                                                                                                  
X-Bugzilla-Type: changed                                                                                               
X-Bugzilla-Watch-Reason: None                                                                                          
X-Bugzilla-Classification: ROSA Desktop                                                                                
X-Bugzilla-Product: Desktop Bugs                                                                                       
X-Bugzilla-Component: Main Packages                                                                                    
X-Bugzilla-Keywords:                                                                                                   
X-Bugzilla-Severity: blocker                                                                                           
X-Bugzilla-Who: alexander.kazantsev@rosalab.ru                                                                         
X-Bugzilla-Status: RESOLVED                                                                                            
X-Bugzilla-Priority: High                                                                                              
X-Bugzilla-Assigned-To: bugs@lists.rosalab.ru                                                                          
X-Bugzilla-Target-Milestone: 2012 Desktop RC                                                                           
X-Bugzilla-Changed-Fields: bug_status resolution                                                                       
Message-ID: <1168161833.16668.1355471844230.JavaMail.root@collab.rosalab.ru>                                           
In-Reply-To: <bug-728-63@http.bugs.rosalinux.ru/>                                                                      
References: <bug-728-63@http.bugs.rosalinux.ru/>                                                                       
Content-Type: multipart/alternative; boundary="1355471843.8B7D6460.17317"; charset="us-ascii"                          
X-Bugzilla-URL: http://bugs.rosalinux.ru/                                                                              
Auto-Submitted: auto-generated
Comment 1 Konstantin Vlasov 2012-12-14 12:28:00 MSK
I updated the tzinfo package, let's see whether it fixed the problem.
Comment 2 alexander barakin 2012-12-14 13:43:00 MSK
(In reply to comment #1)
> I updated the tzinfo package, let's see whether it fixed the problem.

alas, right in the mail with this notification i see:
Date: Fri, 14 Dec 2012 11:28:01 +0300 (MSK)
Comment 3 alexander barakin 2012-12-14 13:44:36 MSK
maybe bugzilla have it's own timezone information?
Comment 4 Konstantin Vlasov 2012-12-14 13:49:31 MSK
It (In reply to comment #3)
> maybe bugzilla have it's own timezone information?

It does, but it was set "The same as the server". I have changed it to Europe/Moscow for now. Using this comment as a test...
Comment 5 alexander barakin 2012-12-14 13:55:58 MSK
(In reply to comment #4)
> It (In reply to comment #3)
> > maybe bugzilla have it's own timezone information?
> 
> It does, but it was set "The same as the server". I have changed it to
> Europe/Moscow for now.


> Using this comment as a test...

alas:
Date: Fri, 14 Dec 2012 12:49:32 +0300 (MSK)

i did "bounce mail" to your address.
Comment 6 Denis Silakov 2015-04-02 22:31:16 MSD
As far as I can see, currently bugzilla mails simply use UTC:

Date: Thu, 02 Apr 2015 18:27:31 +0000

Formally, there is nothing wrong with this and I think we can close this bug. Feel free to reopen if you think any adjustment of timzone settings is still required for bugzilla.